<?php
#-----------------------------------------------------#
# Зц Sea mod Ganjara                                  #
# 	 Автор : Slayer  with   Ganjar                    #
#    ICQ :   566003         993770                    #
#    Вы не имеете права распространять данный скрипт. #
# 		По всем вопросам пишите в ICQ.                  #
#-----------------------------------------------------#

require 'moduls/ini.php';
require 'moduls/fun.php';
require 'moduls/connect.php';

require 'online.php';
########Код который переделывает картинку в текст  ###################
if (isset ($_GET['pic']))  
{  
   $file=$_GET[pic];  
   if (strtolower (end (explode ('.', $_GET[pic]))) == 'jpg') $i     = ImageCreateFromJpeg($file);  
   elseif (strtolower (end (explode ('.', $_GET[pic]))) == 'png') $i = ImageCreateFromPNG($file);  
   else die ("Невозможно обработать изображение в формате GIF");  
   $o = ImageCreate(imagesx($i), imagesy($i));  

   for ($n = 0; $n < 256; $n++)   
   {  
      imagecolorallocate($o, $n, $n, $n);  
   }  

   imagecopy ($o, $i, 0, 0, 0, 0, imagesx ($i), imagesy ($i));  

   $lim = 256/2;  

   echo '<pre style="font-size: 8px; letter-spacing: 0px; line-height: 80%;">';  
     
   for ($y = 0; $y < imagesy ($o); $y++)  
   {  
      for ($x = 0; $x < imagesx ($o); $x++)  
      {  
         if ((imagecolorat($o, $x, $y) & 0xFF)>$lim) echo _; else echo 0;  
      }   
      echo "\n";  
   }  

  
}  

?>